Page MenuHomePhabricator

Remove conditional "federation mode" logic from the Wikibase "top-level" factories
Closed, ResolvedPublic

Event Timeline

Change 574073 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed redundant "entity source federation mode" logic from WikibaseClient

https://gerrit.wikimedia.org/r/574073

Change 574074 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed redundant "entity source federation mode" logic from WikibaseRepo

https://gerrit.wikimedia.org/r/574074

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 8:05 PM

Change 574191 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer needed globals from WikibaseClient entrypoint file

https://gerrit.wikimedia.org/r/574191

WMDE-leszek updated the task description. (Show Details)Feb 22 2020, 6:09 PM

Change 574193 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed DataAccessSettings::useEntitySourceBasedFederation

https://gerrit.wikimedia.org/r/574193

Change 574194 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed useEntitySourceBasedFederation from DataAccessSettings

https://gerrit.wikimedia.org/r/574194

WMDE-leszek removed WMDE-leszek as the assignee of this task.Feb 22 2020, 6:20 PM
WMDE-leszek updated the task description. (Show Details)

Change 574073 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed redundant "entity source federation mode" logic from WikibaseClient

https://gerrit.wikimedia.org/r/574073

Change 574191 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer needed globals from WikibaseClient entrypoint file

https://gerrit.wikimedia.org/r/574191

Change 574074 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed redundant "entity source federation mode" logic from WikibaseRepo

https://gerrit.wikimedia.org/r/574074

WMDE-leszek updated the task description. (Show Details)Feb 24 2020, 10:15 AM

Change 574193 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed DataAccessSettings::useEntitySourceBasedFederation

https://gerrit.wikimedia.org/r/574193

hoo updated the task description. (Show Details)Mar 4 2020, 6:56 PM

Change 574194 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed useEntitySourceBasedFederation from DataAccessSettings

https://gerrit.wikimedia.org/r/574194

Addshore closed this task as Resolved.Mar 6 2020, 1:59 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 6 2020, 1:59 PM